<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="Gyrator">
  <refnamediv>
    <refname>Gyrator</refname>
    <refpurpose>Modelica Gyrator</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/palettes/Gyrator.jpg" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_Gyrator">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Gyrator">Modelica Gyrator</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_Gyrator">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_Gyrator">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_Gyrator">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_Gyrator">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_Gyrator">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="Gyrator">Modelica model</link>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_Gyrator">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_Gyrator">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Electrical_pal">Electrical.cosf - Electrical toolbox</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_Gyrator">
    <title>Description</title>
    <para>
A gyrator is a two-port element defined by the following equations:  i1 =  G2 * v2   i2 = -G1 * v1  where the constants G1, G2 are called the gyration conductance.  
</para>
    <para>
</para>
  </refsection>
  <refsection id="Dialogbox_Gyrator">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../../images/gui/Gyrator_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">G1</emphasis>
        </para>
        <para> Gyration conductance (-i2/v1) .</para>
        <para> Properties : Type 'vec' of size 1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">G2</emphasis>
        </para>
        <para> Gyration conductance (i1/v2).</para>
        <para> Properties : Type 'vec' of size 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Defaultproperties_Gyrator">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Inputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'p1'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'n1'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'p2'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'n2'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Parameters :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'G1'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 1
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica parameter name :</emphasis> 'G2'
</para>
            <para><emphasis role="bold">Default value :</emphasis> 1
</para>
            <para><emphasis role="bold">Is a state variable :</emphasis> no.


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para><emphasis role="bold">File name of the model :</emphasis> Gyrator</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_Gyrator">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/Gyrator.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Modelicamodel_Gyrator">
    <title>Modelica model</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/Gyrator.mo</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_Gyrator">
    <title>Authors</title>
    <para><emphasis role="bold">Masoud Najafi</emphasis> - INRIA</para>
  </refsection>
</refentry>
